curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/reviews/pending' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"reviews": [
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_type": "string",
"phase": "string",
"status": "pending",
"started_at": "2026-08-31T14:22:05Z"
}
],
"truncated": true
}
Pending reviews
Workflows currently parked at a human review gate (from Temporal visibility).
GET
/
v1
/
brands
/
{brand_id}
/
reviews
/
pending
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/reviews/pending' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"reviews": [
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_type": "string",
"phase": "string",
"status": "pending",
"started_at": "2026-08-31T14:22:05Z"
}
],
"truncated": true
}
Path parameters
string (uuid)
required
Response
object
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Workflows currently parked at a human review gate (from Temporal visibility). |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/reviews/pending' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"reviews": [
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_type": "string",
"phase": "string",
"status": "pending",
"started_at": "2026-08-31T14:22:05Z"
}
],
"truncated": true
}
Last modified on August 31, 2026